Download it now!
Bug 137695 - GTK3 - Comboboxes and Listboxes are too big for one row in a Tablecontrol
Summary: GTK3 - Comboboxes and Listboxes are too big for one row in a Tablecontrol
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.0.2.2 release
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0 target:7.1.1 target:7.0.5
Keywords: bibisected, bisected
Depends on:
Blocks:
 
Reported: 2020-10-23 06:47 UTC by Robert Großkopf
Modified: 2021-01-17 23:44 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Shows the clicked combobox in a form, zoomed 100% (57.35 KB, image/png)
2020-10-23 06:47 UTC, Robert Großkopf
Details
how it now looks for me under gtk (201.24 KB, image/png)
2021-01-16 17:15 UTC, Caolán McNamara
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Großkopf 2020-10-23 06:47:56 UTC
Created attachment 166654 [details]
Shows the clicked combobox in a form, zoomed 100%

See the attached screenshot. Shows all.
Many dialogues are expanded with gtk3. Using a combobox or a listbox inside a tablecontrol of a Base form shows the problem best: The boxes are much bigger than the row for the data. So the next row will partly disappear under the opened combobox, if you only activate the box.

All tested with LO 7.0.2.2 VCL: gtk3.
For testing see https://bugs.documentfoundation.org/attachment.cgi?id=166637 (attached to bug 137662)
Comment 1 Robert Großkopf 2020-10-23 06:49:28 UTC
Forgotten: My system - OpenSUSE 15.1 64bit rpm Linux.
Comment 2 Milston B. 2020-10-27 17:02:04 UTC
Can confirm.

The following points are also true for the list box:
→ If the combo box is in the first line, it covers the line(s) below (depends on the height of the line)
→ If the combo box somewhere in the middle of the lines, it covers the line(s) above and the line(s) below
→ if you set the height of the lines to 0.90 cm the combo box doesn't cover the other lines



Version: 7.0.2.2
Build ID: 00(Build:2)
CPU threads: 4; OS: Linux 5.9; UI render: default; VCL: gtk3
Locale: de-DE (de_DE.UTF-8); UI: de-DE
7.0.2-2
Calc: threaded
Comment 3 Milston B. 2020-10-28 16:46:32 UTC
Today, i was able to test this on the workplace PC:

Same behaviour as in comment #2
Exept: Under Windows you have to set the height of the line to 0.65 cm. It seems that the height from the combo box differs from OS to OS…



Informations to the PC-Version
     Windows
          Edition          Windows 10 Enterprise
          Version         1809
          Build             17763.1518

     LibreOffice
          Version: 7.0.1.2 (x86)
          Build ID: 7cbcfc562f6eb6708b5ff7d7397325de9e764452
          CPU threads: 4; OS: Windows 10.0 Build 17763; UI render: Skia/Raster; VCL: win
          Locale: de-DE (de_DE); UI: de-DE
Comment 4 Xisco Faulí 2020-12-11 16:24:27 UTC
This started to happen after

https://cgit.freedesktop.org/libreoffice/core/commit/?id=68d161c6803654f4ce816af7e79371a2d3497b4f

author	Caolán McNamara <caolanm@redhat.com>	2020-05-13 13:59:11 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2020-05-20 20:24:16 +0200
commit	68d161c6803654f4ce816af7e79371a2d3497b4f (patch)
tree	97cc8e55906b91ac966d7b1c09bdfcf51e8480f9
parent	96536d92e8026cebfde11e5539ee90471d0e7933 (diff)
weld ComboBoxControl

however, I don't see it as a regression. before the comboboxes were too small

@Caolán, is there anything we can do here ?
Comment 5 Caolán McNamara 2021-01-15 15:27:05 UTC
Its not easy to make the widgets shrink but I think I can see a route to get there.
Comment 6 Commit Notification 2021-01-16 16:54:11 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/444e0ce07c6652346dcc34f8d9ec4a4403b2109b

tdf#137695 shrink widget height below natural min within data browser

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Caolán McNamara 2021-01-16 17:15:38 UTC
Created attachment 168940 [details]
how it now looks for me under gtk
Comment 8 Caolán McNamara 2021-01-16 17:16:28 UTC
fixed in master, backport to 7-1 and 7-0 in gerrit
Comment 9 Commit Notification 2021-01-17 02:46:09 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/0c5cf69cb123fea5b340d9c9b1a292df2efa61cb

tdf#137695 shrink widget height below natural min within data browser

It will be available in 7.1.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Commit Notification 2021-01-17 23:44:11 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/868a7a160b9981e6b7f4a5a2242567288c84b36e

tdf#137695 shrink widget height below natural min within data browser

It will be available in 7.0.5.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.